cancel
Showing results for 
Search instead for 
Did you mean: 

How do I install .NET Framework 4.7.2?

The Microsoft .NET Framework 4.7.2 is required to run applications on Windows environments. F-Secure products, such as F-Secure SAFE (as of release 17.6), will require this version of .NET Framework to be able to show the product user interface.

Normally, during the installation of the F-Secure products, our network installer will automatically try to install the .NET Framework if it is missing from the environment. If, however, the installation of the .NET Framework fails, the user gets an error message which includes a link to information on how to install the .NET Framework manually.

To install .NET Framework 4.7.2, do as follows:

  1. Go to page https://dotnet.microsoft.com/download/dotnet-framework-runtime/net472.
  2. Click the Download .NET Framework 4.7.2 link, and save the executable file.
  3. Find the file in your Downloads folder, right-click it and select Run as administrator.
  4. Tick the box to accept the license terms and click Install. The installation starts.
  5. Once the installation is complete, click Finish.

    Note: You must restart your computer to complete the installation.

Note: If the manual installation fails, check the error message. If you cannot solve the issue based on the error message, contact F-Secure support.

Pricing & Product Info

For product info and pricing please go to the F-Secure product page

Version history
Revision #:
3 of 3
Last update:
2 weeks ago
Updated by:
 
Labels (1)